{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/ConnectableElementImpl.eInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;",
  "numberOfDefinitions": 2,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.validateInAndOut(Lorg/eclipse/uml2/uml/Parameter;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.setDefault(Lorg/eclipse/uml2/uml/Parameter;Ljava/lang/String;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateNotOwnSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.validateUpperGeLower(Lorg/eclipse/uml2/uml/MultiplicityElement;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createDependency(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Dependency;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.isMultivalued(Lorg/eclipse/uml2/uml/MultiplicityElement;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.removeKeyword(Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplication(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/VariableOperations.validateOwned(Lorg/eclipse/uml2/uml/Variable;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.validateLowerGe0(Lorg/eclipse/uml2/uml/MultiplicityElement;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.validateConnectorEnd(Lorg/eclipse/uml2/uml/Parameter;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.validateValueSpecificationNoSideEffects(Lorg/eclipse/uml2/uml/MultiplicityElement;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateHasOwner(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.applyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.setUnlimitedNaturalDefaultValue(Lorg/eclipse/uml2/uml/Parameter;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplicable(Lorg/eclipse/uml2/uml/Stereotype;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.setUpper(Lorg/eclipse/uml2/uml/MultiplicityElement;I)V": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.getLower(Lorg/eclipse/uml2/uml/MultiplicityElement;)I": 2,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.setNullDefaultValue(Lorg/eclipse/uml2/uml/Parameter;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotypes(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.includesMultiplicity(Lorg/eclipse/uml2/uml/MultiplicityElement;Lorg/eclipse/uml2/uml/MultiplicityElement;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allNamespaces()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ConnectableElementImpl.getEnds()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasKeyword(Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getModel()Lorg/eclipse/uml2/uml/Model;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.validateValueSpecificationConstant(Lorg/eclipse/uml2/uml/MultiplicityElement;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.setValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;Ljava/lang/Object;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isDistinguishableFrom(Lorg/eclipse/uml2/uml/NamedElement;Lorg/eclipse/uml2/uml/Namespace;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.mustBeOwned()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.setRealDefaultValue(Lorg/eclipse/uml2/uml/Parameter;D)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeRequired(Lorg/eclipse/uml2/uml/Stereotype;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplied(Lorg/eclipse/uml2/uml/Stereotype;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.destroy()V": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.isSetDefault(Lorg/eclipse/uml2/uml/Parameter;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasNoQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getKeywords()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getNearestPackage()Lorg/eclipse/uml2/uml/Package;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateVisibilityNeedsOwnership(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.separator()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createUsage(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Usage;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.getDefault(Lorg/eclipse/uml2/uml/Parameter;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.unsetDefault(Lorg/eclipse/uml2/uml/Parameter;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.allOwnedElements()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.includesCardinality(Lorg/eclipse/uml2/uml/MultiplicityElement;I)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.setIntegerDefaultValue(Lorg/eclipse/uml2/uml/Parameter;I)V": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.setLower(Lorg/eclipse/uml2/uml/MultiplicityElement;I)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.unapplyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplications()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/VariableOperations.isAccessibleBy(Lorg/eclipse/uml2/uml/Variable;Lorg/eclipse/uml2/uml/Action;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.setBooleanDefaultValue(Lorg/eclipse/uml2/uml/Parameter;Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.setStringDefaultValue(Lorg/eclipse/uml2/uml/Parameter;Ljava/lang/String;)V": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.validateReentrantBehaviors(Lorg/eclipse/uml2/uml/Parameter;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.is(Lorg/eclipse/uml2/uml/MultiplicityElement;II)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.validateNotException(Lorg/eclipse/uml2/uml/Parameter;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotype(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.createEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.compatibleWith(Lorg/eclipse/uml2/uml/MultiplicityElement;Lorg/eclipse/uml2/uml/MultiplicityElement;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.getUpper(Lorg/eclipse/uml2/uml/MultiplicityElement;)I": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.addKeyword(Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel(Z)Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.upperBound(Lorg/eclipse/uml2/uml/MultiplicityElement;)I": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ConnectableElementImpl.isCompatibleWith(Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ConnectableElementImpl.isTemplateParameter()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.lowerBound(Lorg/eclipse/uml2/uml/MultiplicityElement;)I": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allOwningPackages()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.validateStreamAndException(Lorg/eclipse/uml2/uml/Parameter;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 2
  }
}